remove code for older (ancient) versions of Imager
[imager-graph.git] / Makefile.PL
CommitLineData
bfcf9414
TC
1#!perl -w
2use strict;
3require 5.005;
35574351
TC
4use ExtUtils::MakeMaker;
5my %opts;
bfcf9414
TC
6# eval to prevent warnings about versions with _ in them
7my $MM_ver = eval $ExtUtils::MakeMaker::VERSION;
8if ($MM_ver > 6.06) {
35574351
TC
9 $opts{AUTHOR} = 'Tony Cook <tony@develop-help.com>';
10 $opts{ABSTRACT} = 'Draws good looking pie graphs';
11}
bfcf9414
TC
12if ($MM_ver >= 6.31) {
13 $opts{LICENSE} = 'perl';
14}
35574351
TC
15
16WriteMakefile(
17 %opts,
18 'NAME' => 'Imager::Graph',
19 'VERSION_FROM' => 'Graph.pm', # finds $VERSION
bfcf9414
TC
20 PREREQ_PM =>
21 {
f94f373e 22 Imager=>'0.75',
bfcf9414
TC
23 'Test::More' => 0.47
24 },
35574351
TC
25 clean => { FILES=>'testout' },
26);